"use strict";
/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationConfiguration = void 0;
/**
 * General configuration settings for authentication.
 */
class AuthenticationConfiguration {
    /**
     * General configuration settings for authentication.
     *
     * @param {string[]} requiredEndorsements An array of JWT endorsements.
     * @param {(claims: Claim[]) => Promise<void>} validateClaims Function that validates a list of Claims
     * and should throw an exception if the validation fails.
     * @param {string[]} validTokenIssuers An array of valid JWT token issuers.
     */
    constructor(requiredEndorsements = [], validateClaims, validTokenIssuers) {
        this.requiredEndorsements = requiredEndorsements;
        this.validateClaims = validateClaims;
        this.validTokenIssuers = validTokenIssuers;
    }
}
exports.AuthenticationConfiguration = AuthenticationConfiguration;
//# sourceMappingURL=authenticationConfiguration.js.map