"use strict";
/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GovernmentConstants = void 0;
// eslint-disable-next-line @typescript-eslint/no-namespace
var GovernmentConstants;
(function (GovernmentConstants) {
    /**
     * Government Channel Service property value
     */
    GovernmentConstants.ChannelService = 'https://botframework.azure.us';
    /**
     * TO CHANNEL FROM BOT: Login URL
     *
     * DEPRECATED: DO NOT USE
     */
    GovernmentConstants.ToChannelFromBotLoginUrl = 'https://login.microsoftonline.us/MicrosoftServices.onmicrosoft.us';
    /**
     * TO CHANNEL FROM BOT: Login URL prefix
     */
    GovernmentConstants.ToChannelFromBotLoginUrlPrefix = 'https://login.microsoftonline.us/';
    /**
     * TO CHANNEL FROM BOT: Default tenant from which to obtain a token for bot to channel communication
     */
    GovernmentConstants.DefaultChannelAuthTenant = 'MicrosoftServices.onmicrosoft.us';
    /**
     * TO CHANNEL FROM BOT: OAuth scope to request
     */
    GovernmentConstants.ToChannelFromBotOAuthScope = 'https://api.botframework.us';
    /**
     * TO BOT FROM CHANNEL: Token issuer
     */
    GovernmentConstants.ToBotFromChannelTokenIssuer = 'https://api.botframework.us';
    /**
     * OAuth Url used to get a token from OAuthApiClient.
     */
    GovernmentConstants.OAuthUrl = 'https://api.botframework.azure.us';
    /**
     * TO BOT FROM GOVERNMENT CHANNEL: OpenID metadata document for tokens coming from MSA
     */
    GovernmentConstants.ToBotFromChannelOpenIdMetadataUrl = 'https://login.botframework.azure.us/v1/.well-known/openidconfiguration';
    /**
     * TO BOT FROM GOVERNMENT EMULATOR: OpenID metadata document for tokens coming from MSA
     */
    GovernmentConstants.ToBotFromEmulatorOpenIdMetadataUrl = 'https://login.microsoftonline.us/cab8a31a-1906-4287-a0d8-4eef66b95f6e/v2.0/.well-known/openid-configuration';
})(GovernmentConstants = exports.GovernmentConstants || (exports.GovernmentConstants = {}));
//# sourceMappingURL=governmentConstants.js.map