"use strict";
/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.JwtTokenProviderFactory = void 0;
const identity_1 = require("@azure/identity");
const assert_1 = require("assert");
/**
 * @inheritdoc
 */
class JwtTokenProviderFactory {
    /**
     * @inheritdoc
     */
    createAzureServiceTokenProvider(appId) {
        (0, assert_1.ok)(appId === null || appId === void 0 ? void 0 : appId.trim(), 'jwtTokenProviderFactory.createAzureServiceTokenProvider(): missing appId.');
        return new identity_1.DefaultAzureCredential({ managedIdentityClientId: appId });
    }
}
exports.JwtTokenProviderFactory = JwtTokenProviderFactory;
//# sourceMappingURL=jwtTokenProviderFactory.js.map