/**
 * @module botframework-connector
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { MicrosoftAppCredentials } from './microsoftAppCredentials';
/**
 * MicrosoftGovermentAppCredentials auth implementation
 */
export declare class MicrosoftGovernmentAppCredentials extends MicrosoftAppCredentials {
    appPassword: string;
    /**
     * Initializes a new instance of the [MicrosoftGovernmentAppCredentials](xref:botframework-connector.MicrosoftGovernmentAppCredentials) class.
     *
     * @param {string} appId The Microsoft app ID.
     * @param {string} appPassword The Microsoft app password.
     * @param {string} channelAuthTenant Optional. The oauth token tenant.
     * @param {string} oAuthScope Optional. The scope for the token.
     */
    constructor(appId: string, appPassword: string, channelAuthTenant?: string, oAuthScope?: string);
    protected GetToChannelFromBotOAuthScope(): string;
    protected GetToChannelFromBotLoginUrlPrefix(): string;
    protected GetDefaultChannelAuthTenant(): string;
}
//# sourceMappingURL=microsoftGovernmentAppCredentials.d.ts.map